Test Assistant Tool
Test a webhook tool for an assistant
POST
/
ai
/
assistants
/
{assistant_id}
/
tools
/
{tool_id}
/
test
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.assistants.tools.test('tool_id', { assistant_id: 'assistant_id' });
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.assistants.tools.test(
tool_id="tool_id",
assistant_id="assistant_id",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Assistants.Tools.Test(
context.TODO(),
"tool_id",
telnyx.AIAssistantToolTestParams{
AssistantID: "assistant_id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.assistants.tools.ToolTestParams;
import com.telnyx.sdk.models.ai.assistants.tools.ToolTestResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ToolTestParams params = ToolTestParams.builder()
.assistantId("assistant_id")
.toolId("tool_id")
.build();
ToolTestResponse response = client.ai().assistants().tools().test(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.assistants.tools.test_("tool_id", assistant_id: "assistant_id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->assistants->tools->test(
'tool_id',
assistantID: 'assistant_id',
arguments: ['foo' => 'bar'],
dynamicVariables: ['foo' => 'bar'],
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:assistants:tools test \
--api-key 'My API Key' \
--assistant-id assistant_id \
--tool-id tool_idcurl --request POST \
--url https://api.telnyx.com/v2/ai/assistants/{assistant_id}/tools/{tool_id}/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"arguments": {},
"dynamic_variables": {}
}
'{
"data": {
"success": true,
"status_code": 123,
"content_type": "<string>",
"response": "<string>",
"request": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the assistant.
Unique identifier of the tool.
Body
application/json
Response
Successful Response
Response model for webhook tool test results
Response model for webhook tool test results
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.assistants.tools.test('tool_id', { assistant_id: 'assistant_id' });
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.assistants.tools.test(
tool_id="tool_id",
assistant_id="assistant_id",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Assistants.Tools.Test(
context.TODO(),
"tool_id",
telnyx.AIAssistantToolTestParams{
AssistantID: "assistant_id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.assistants.tools.ToolTestParams;
import com.telnyx.sdk.models.ai.assistants.tools.ToolTestResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ToolTestParams params = ToolTestParams.builder()
.assistantId("assistant_id")
.toolId("tool_id")
.build();
ToolTestResponse response = client.ai().assistants().tools().test(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.assistants.tools.test_("tool_id", assistant_id: "assistant_id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->assistants->tools->test(
'tool_id',
assistantID: 'assistant_id',
arguments: ['foo' => 'bar'],
dynamicVariables: ['foo' => 'bar'],
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:assistants:tools test \
--api-key 'My API Key' \
--assistant-id assistant_id \
--tool-id tool_idcurl --request POST \
--url https://api.telnyx.com/v2/ai/assistants/{assistant_id}/tools/{tool_id}/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"arguments": {},
"dynamic_variables": {}
}
'{
"data": {
"success": true,
"status_code": 123,
"content_type": "<string>",
"response": "<string>",
"request": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}